#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		appname		apache
%define		contentdir	%{_var}/www
%define		mmn		20120211
#-----------------------------------------------------------------------------
Name		:	nghttp2
Version		:	1.54.0
Release		:	16.2.0.rel%{?dist}

Summary		:	Experimental HTTP/2 client, server and proxy

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/nghttp2/nghttp2/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	c-ares
BuildRequires	:	libev-devel
BuildRequires	:	libxml2-devel

#-----------------------------------------------------------------------------
%description
This package contains the HTTP/2 client, server and proxy programs.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%{_bindir}/h2load
%{_bindir}/nghttp
%{_bindir}/nghttpd
%{_bindir}/nghttpx
%{_datadir}/%{name}/fetch-ocsp-response
%{_libdir}/lib%{name}.so.14*
%{_mandir}/man1/*.1.gz

#============================================================================
%package	devel
Summary		:	Files needed for building applications with %:name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description	devel
The %{name}-devel package includes libraries and
header files needed for building applications with
%{name}

#-----------------------------------------------------------------------------
%files		devel
%defattr(-,root,root,-)
%doc README.rst
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -i

PYTHON=%{__python3} 					\
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-hpack-tools				\
	--disable-python-bindings			\
	--disable-static				\
	--with-libxml2					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
export "LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}:$LD_LIBRARY_PATH"
make check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# will be installed via %%doc
%{__rm} -f						\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}/README.rst
#-----------------------------------------------------------------------------
%changelog
